<?php
/**
 * This page prints a particular instance of flashchat
 *
 * @author Sander de Boer
 * @version $Id: auth.php,v 1.0 2008/09/01 12:00:00 sdboer Exp $
 * @package flashchat
 **/

require_once("../../config.php");
//require_once($CFG->dirroot."/mod/flashchat/lib.php");
$LOGIN_SUCCESS = 0;
$LOGIN_PASSWD_ERROR = 1;
$LOGIN_NICK_EXIST = 2;
$LOGIN_ERROR = 3;
$LOGIN_ERROR_NOUSERID = 4;
$LOGIN_SUCCESS_ADMIN = 5;


$PAGE->set_context('');
$username = required_param('username', PARAM_ALPHANUM);
$password = !empty($_GET['password']) ? $_GET['password'] : '';    

if(!empty($username) && !empty($password)){
	$user = $DB->get_record('user', array('username'=>$username));
	if($user){
	
		$password_format = format_string($user->password);
		
		if(validate_internal_user_password($user,$password) || $password == $password_format){
			if (is_siteadmin($user->id)) {
				echo $LOGIN_SUCCESS_ADMIN;
			}else{
				echo $LOGIN_SUCCESS;
			}
			$userinfo = '|eml='.$user->email;
		    if($user->city){
		    	$userinfo .= '&l='.$user->city;
		    }
		    if($user->firstname){
				$userinfo .= '&nk=' . $user->firstname;
				if($user->lastname){
					$userinfo .= ' '.$user->lastname;
				}
			}
			//var_dump($user);
			$urlWithPic = $OUTPUT->user_picture($user, array('size'=>100));
			if($urlWithPic){
				preg_match('/src="(.*)"/', $urlWithPic, $matches);
				if(isset($matches[1])){
					$picstring = explode('"', $matches[1]);
					foreach($picstring as $key=> $str){
						if(substr($str,0,7) == 'http://'){
							$userinfo .= '&avt=' . urlencode($str) . '&lckavt=1';
							continue;
						}
					}
				}
			}
			
		    echo $userinfo;
			exit;
		}else{
			echo $LOGIN_PASSWD_ERROR;
			exit;
		}
	}else{
		echo $LOGIN_ERROR_NOUSERID;
		exit;
	}
}else{
	echo $LOGIN_ERROR;
	exit;
}
?>
